summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Azure Zanculmarktum <zanculmarktum@gmail.com>2017-04-04 23:23:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-06 21:03:03 +0700
commitb7f0eaac3bab123717101e106b9e000f441f3a24 (patch)
tree7684e9bd69eb424c60d48b5cc1e0696de60f0e19 /desktop
parentb217e0e18df17bf4abccbf5a1c4efa934d987529 (diff)
downloadslackbuilds-b7f0eaac3bab123717101e106b9e000f441f3a24.tar.gz
slackbuilds-b7f0eaac3bab123717101e106b9e000f441f3a24.tar.xz
desktop/2bwm: Added (a fast floating WM).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/2bwm/2bwm.SlackBuild107
-rw-r--r--desktop/2bwm/2bwm.info10
-rw-r--r--desktop/2bwm/README11
-rw-r--r--desktop/2bwm/getconfig.sh8
-rw-r--r--desktop/2bwm/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/desktop/2bwm/2bwm.SlackBuild b/desktop/2bwm/2bwm.SlackBuild
new file mode 100644
index 0000000000..626c93f242
--- /dev/null
+++ b/desktop/2bwm/2bwm.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for 2bwm
+
+# Copyright 2017 Azure Zanculmarktum <zanculmarktum@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=2bwm
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use custom config.h file if present
+if [ -r $CWD/config.h ]; then
+ cat $CWD/config.h > config.h
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX=/usr \
+LIB_SUFFIX=lib${LIBDIRSUFFIX} \
+MANPREFIX=/usr/man \
+X11_INCLUDE=/usr/include \
+make
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX=/usr \
+LIB_SUFFIX=lib${LIBDIRSUFFIX} \
+MANPREFIX=/usr/man \
+X11_INCLUDE=/usr/include \
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/2bwm/2bwm.info b/desktop/2bwm/2bwm.info
new file mode 100644
index 0000000000..962af54685
--- /dev/null
+++ b/desktop/2bwm/2bwm.info
@@ -0,0 +1,10 @@
+PRGNAM="2bwm"
+VERSION="0.2"
+HOMEPAGE="https://github.com/venam/2bwm"
+DOWNLOAD="https://github.com/venam/2bwm/archive/v0.2/2bwm-0.2.tar.gz"
+MD5SUM="61b7a92a50515fbf97359060699f7729"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="xcb-util-xrm"
+MAINTAINER="Azure Zanculmarktum"
+EMAIL="zanculmarktum@gmail.com"
diff --git a/desktop/2bwm/README b/desktop/2bwm/README
new file mode 100644
index 0000000000..3f6bf156ff
--- /dev/null
+++ b/desktop/2bwm/README
@@ -0,0 +1,11 @@
+A fast floating WM, with the particularity of having 2 borders, written
+over the XCB library and derived from mcwm written by Michael Cardell.
+
+Run getconfig.sh to extract config.h file to the current directory.
+Modify it as needed.
+
+Optional dependencies (as mentioned in the default config.h file, unless
+you modify it of course):
+ * rxvt-unicode
+ * xdotool
+ * light
diff --git a/desktop/2bwm/getconfig.sh b/desktop/2bwm/getconfig.sh
new file mode 100644
index 0000000000..4922113e4e
--- /dev/null
+++ b/desktop/2bwm/getconfig.sh
@@ -0,0 +1,8 @@
+VERSION=0.2
+
+if [ -e config.h ]; then
+ echo "config.h file already exists."
+ exit 1
+fi
+echo "2bwm-$VERSION.tar.gz -> config.h"
+gzip -d < 2bwm-$VERSION.tar.gz | tar xO 2bwm-$VERSION/config.h > config.h
diff --git a/desktop/2bwm/slack-desc b/desktop/2bwm/slack-desc
new file mode 100644
index 0000000000..5f50426cfe
--- /dev/null
+++ b/desktop/2bwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+2bwm: 2bwm (a fast floating WM)
+2bwm:
+2bwm: A fast floating WM, with the particularity of having 2 borders,
+2bwm: written over the XCB library and derived from mcwm written by Michael
+2bwm: Cardell.
+2bwm:
+2bwm:
+2bwm:
+2bwm:
+2bwm:
+2bwm: